lua5.2 5.2.0-2ubuntu0.1 source package in Ubuntu

Changelog

lua5.2 (5.2.0-2ubuntu0.1) precise-security; urgency=medium

  * SECURITY UPDATE: possible code execution via overflow in vararg
    functions (LP: #1362278)
    - debian/patches/CVE-2014-5461.patch: properly calculate length in
      src/ldo.c.
    - CVE-2014-5461
 -- Marc Deslauriers <email address hidden>   Wed, 03 Sep 2014 07:39:25 -0400

Upload details

Uploaded by:
Marc Deslauriers on 2014-09-03
Uploaded to:
Precise
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
interpreters
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Precise updates on 2014-09-03 universe interpreters
Precise security on 2014-09-03 universe interpreters

Downloads

File Size SHA-256 Checksum
lua5.2_5.2.0.orig.tar.gz 240.6 KiB cabe379465aa8e388988073d59b69e76ba0025429d2c1da80821a252cdf6be0d
lua5.2_5.2.0-2ubuntu0.1.debian.tar.gz 9.7 KiB 53090321e3e4f100f2960fa14c37af784aeb8dcb79a2e5d3ef16b8dadb767300
lua5.2_5.2.0-2ubuntu0.1.dsc 2.1 KiB 80ce36e6ac8ade026940aa43bc0643d2514b5c710bab56c8ad30b2bd6dd4a634

View changes file

Binary packages built by this source

liblua5.2-0: Shared library for the Lua interpreter version 5.2

 Lua is a powerful, light-weight programming language designed for extending
 applications. The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions. Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains runtime libraries. You shouldn't need to install it
 explicitly.

liblua5.2-0-dbg: Debug symbols for the Lua shared library interpreter

 This package contains the debugging symbols for liblua5.2 and lua5.2

liblua5.2-dev: Development files for the Lua language version 5.2

 Lua is a powerful, light-weight programming language designed for extending
 applications. The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions. Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains developer resources for using the Lua library.
 Install it if you are developing programs which use the Lua C API.

lua5.2: Simple, extensible, embeddable programming language

 Lua is a powerful, light-weight programming language designed for extending
 applications. The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions. Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains the Lua command line interpreter and bytecode compiler.
 Install it if you are developing or using Lua scripts.

lua5.2-doc: Documentation for the Lua language version 5.2

 Lua is a powerful, light-weight programming language designed for extending
 applications. The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions. Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains the official manual covering the Lua language and C API,
 examples, etc.